{
  "pools": [
    {
      "rolls": {
        "min": 8,
        "max": 12
      },
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:diamond",
          "weight": 5,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:netherite_ingot",
          "weight": 5
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:ancient_debris",
          "weight": 5,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 2
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:emerald",
          "weight": 5,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 8
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:diamond_block",
          "weight": 5
        }
      ]
    },
    {
      "rolls": {
        "min": 6,
        "max": 9
      },
      "entries": [
        {
          "type": "minecraft:loot_table",
          "name": "dubl:chests/currency_rare",
          "weight": 100
        },
        {
          "type": "minecraft:empty",
          "weight": 1
        }
      ]
    },
    {
      "rolls": {
        "min": 1,
        "max": 3
      },
      "entries": [
        {
          "type": "minecraft:loot_table",
          "name": "dubl:chests/gun_enchants_t1",
          "weight": 100
        },
        {
          "type": "minecraft:loot_table",
          "name": "dubl:chests/gun_enchants_t2",
          "weight": 50
        }
      ]
    }
  ]
}
